package com.xjrsoft.module.evaluate.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.evaluate.dto.*;
import com.xjrsoft.module.evaluate.entity.EvaluateManage;
import com.xjrsoft.module.evaluate.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 评价管理
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Mapper
public interface EvaluateManageMapper extends MPJBaseMapper<EvaluateManage> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<EvaluateManagePageVo> getPage(Page<EvaluateManagePageDto> page, EvaluateManagePageDto dto);

    Page<MobileIndexPageVo> getMobileIndexPage(Page<EvaluateWritePageDto> page, MobileIndexPageDto dto);

    Page<MobileResultPageVo> getMobileResultPage(Page<EvaluateWritePageDto> page, MobileResultPageDto dto);

    List<DrillEvaluateClassListVo> getDrillEvaluateClassList(@Param("dto")DrillEvaluateClassListDto dto);

    EvaluateWriteVo getWriteInfo(Long id);


    List<EvaluateManageItemVo> getItemList(Long id);

    List<EvaluateManageItemVo> getResultList(@Param("dto")ResultListDto dto);

    List<EvaluateManageScoreVo> getScoreList(@Param("dto")EvaluateManageScoreDto dto);

    Boolean insertEvaluateSubmitRecord(@Param("evaluateManageId") Long evaluateManageId);
}
